[P032]Award

get
https://connect.patsnap.com/advanced-patent-data/award-data
Try in Sandbox

Receive award data by patent_id or patent_number. This includes award name, level, session, referrer, and type.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string233e60d4-b483-4c38-8fd7-c344d6fd44f3
patent_id
patent_number
stringEP2170021B1
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_award_data
arrayPlease check the form: PatentAwardData
award data
category
stringPopular
Award type
award_name
stringEuropean Inventor Award
Award name, including CN patent awards of several provinces/cities and European Inventor Award
award_level
string优秀奖
Award level, only CN jurisdiction have this field
award_session
string2018
Award session
award_referrer
string大连市知识产权局
Award referrer, only CN jurisdiction have this field
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_award_data": [
        {
          "category": "Popular",
          "award_name": "European Inventor Award",
          "award_level": "优秀奖",
          "award_session": 2018,
          "award_referrer": "大连市知识产权局"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found